command: docker secret create
short: Create a secret from a file or STDIN as content
long: "Creates a secret using standard input or from a file for the secret content.
  You must run this command on a manager node. \n\nFor detailed information about
  using secrets, refer to [manage sensitive data with Docker secrets](https://docs.docker.com/engine/swarm/secrets/)."
usage: docker secret create [OPTIONS] SECRET [file|-]
pname: docker secret
plink: docker_secret.yaml
options:
- option: driver
  shorthand: d
  value_type: string
  description: Secret driver
  deprecated: false
  min_api_version: "1.37"
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
- option: label
  shorthand: l
  value_type: list
  description: Secret labels
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
- option: template-driver
  value_type: string
  description: Template driver
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
examples: |-
  ### Create a secret

  ```bash
  $ echo <secret> | docker secret create my_secret -

  onakdyv307se2tl7nl20anokv

  $ docker secret ls

  ID                          NAME                CREATED             UPDATED
  onakdyv307se2tl7nl20anokv   my_secret           6 seconds ago       6 seconds ago
  ```

  ### Create a secret with a file

  ```bash
  $ docker secret create my_secret ./secret.json

  dg426haahpi5ezmkkj5kyl3sn

  $ docker secret ls

  ID                          NAME                CREATED             UPDATED
  dg426haahpi5ezmkkj5kyl3sn   my_secret           7 seconds ago       7 seconds ago
  ```

  ### Create a secret with labels

  ```bash
  $ docker secret create --label env=dev \
                         --label rev=20170324 \
                         my_secret ./secret.json

  eo7jnzguqgtpdah3cm5srfb97
  ```

  ```none
  $ docker secret inspect my_secret

  [
      {
          "ID": "eo7jnzguqgtpdah3cm5srfb97",
          "Version": {
              "Index": 17
          },
          "CreatedAt": "2017-03-24T08:15:09.735271783Z",
          "UpdatedAt": "2017-03-24T08:15:09.735271783Z",
          "Spec": {
              "Name": "my_secret",
              "Labels": {
                  "env": "dev",
                  "rev": "20170324"
              }
          }
      }
  ]
  ```
deprecated: false
min_api_version: "1.25"
experimental: false
experimentalcli: false
kubernetes: false
swarm: true

